UMOUNT(8)

NOM
umount - Démonter des systèmes de fichiers

SYNOPSIS

umount -a [-dflnrv] [-t type] [-O option...]

umount [-dflnrv] {répertoire|périphérique}

umount -h|-V

DESCRIPTION

La commande umount détache les systèmes de fichiers mentionnés de la hiérarchie des fichiers. Un système de fichiers est indiqué en donnant le nom du répertoire dans lequel il a été monté. Fournir le périphérique spécial sur lequel réside le système de fichiers peut également fonctionner, mais est obsolète, principalement parce que cela échouera si ce périphérique a été monté dans plus d'un répertoire.

Remarquez qu'un système de fichiers ne peut pas être démonté quand il est « occupé », par exemple quand des fichiers sont ouverts dessus, quand certains processus y ont leur répertoire de travail ou quand un fichier d'échange y est utilisé. Le processus responsable pourrait même être umount lui-même : il ouvre la libc, qui peut, par exemple, ouvrir à son tour des fichiers locaux. Un démontage paresseux évite ce problème mais il peut introduire d’autres problèmes. Consultez la description de --lazy ci-dessous.

OPTIONS

-a, --all
    Tous les systèmes de fichiers détaillés dans /proc/self/mountinfo (ou dans le /etc/mtab obsolète) sont démontés, exceptés les systèmes de fichiers proc, devfs, devpts, sysfs, rpc_pipefs et nfsd. Cette liste de systèmes de fichiers peut être remplacée par l’option de démontage --types.

-A, --all-targets
    Démonter tous les points de montage dans l’espace de noms montage actuel pour le système de fichiers indiqué. Le système de fichiers peut être indiqué par les points de montage ou le nom (ou l’UUID, etc.) du périphérique. Quand cette option est utilisée avec --recursive, alors tous les montages imbriqués dans le système de fichiers sont démontés de façon récursive. Cette option n’est prise en charge que sur les systèmes où /etc/mtab est un lien symbolique vers /proc/mounts.

-c, --no-canonicalize
    Ne pas rendre les chemins canoniques. La mise en forme canonique des chemins est basée sur des appels système stat(2) et readlink(2). Ces appels peuvent planter dans certains cas (par exemple sur NFS si le serveur n’est pas disponible). L’option doit être utilisée avec un chemin canonique vers le point de montage.

    Cette option est ignorée en silence par umount pour les utilisateurs non-superutilisateurs

    Consultez la page de manuel mount(8) pour plus de précisions sur cette option. Remarquez que umount ne passe pas cette option aux auxiliaires /sbin/umount.type.

-d, --detach-loop
    Quand le périphérique démonté est un périphérique boucle, libérer ce périphérique boucle. Cette option n’est pas nécessaire pour les périphériques initialisés par mount(8), dans ce cas la fonctionnalité « autoclear » est activée par défaut.

--fake
    Toutes les actions seront exécutées sauf le véritable appel système ou l’exécution d’auxiliaire de démontage. Cela imite le démontage du système de fichiers. Cela permet de retirer des entrées du fichier /etc/mtab obsolète qui avaient été démontées auparavant avec l'option -n.

-f, --force
    Forcer un démontage (dans le cas d'un système NFS inaccessible).

    Remarquez que cette option ne garantit pas que la commande de démontage ne plante pas. Il est fortement recommandé d’utiliser des chemins absolus sans liens symboliques pour éviter des appels système readlink(2) et stat(2) non désirés sur un système NFS injoignable dans le démontage.

-i, --internal-only
    Ne pas appeler l’auxiliaire /sbin/umount.système_de_fichiers même s’il existe. Par défaut, ce genre de programme auxiliaire est appelé s’il existe.

-l, --lazy
    Démontage paresseux. Détacher maintenant le système de fichiers de la hiérarchie de fichiers et effacer toutes les références vers ce système de fichiers dès qu'il n'est plus occupé.

    Un redémarrage du système devrait se dérouler très prochainement pour pouvoir utiliser cette option pour un système de fichiers réseau ou pour des systèmes de fichiers locaux avec des sous-montages. L’utilisation recommandée de umount -l est d’empêcher des plantages lors d’un arrêt causé par un partage réseau non joignable où un umount normal planterait à cause d’un serveur arrêté ou d’une partition réseau. Le remontage des partages ne serait pas possible.

-N, --namespace espace_de_noms
    Réaliser umount dans l’espace de noms montage indiqué par espace_de_noms. espace_de_noms est soit un PID d’un processus en cours d’exécution dans cet espace de noms ou un fichier spécial représentant cet espace de noms.

    umount bascule vers cet espace de noms lorsqu’il lit /etc/fstab, écrit /etc/mtab (ou écrit sur /run/mount) et appelle umount(2), sinon, il s’exécute dans l’espace de noms originel. Cela signifie que l’espace de noms montage cible n’a pas à contenir n’importe quelle bibliothèque ou autre nécessité pour exécuter la commande umount(2).

    Consultez mount_namespaces(7) pour plus d’informations.

-n, --no-mtab
    Démonter sans écrire dans /etc/mtab.

-O, --test-opts option...
    Ne démonter que les systèmes de fichiers dont les options indiquées sont définies dans /etc/fstab. Plusieurs options peuvent être indiquées dans une liste, séparées par des virgules. Chaque option peut être préfixée par no pour indiquer qu’aucune action ne doit être réalisée pour cette option.

-q, --quiet
    Supprimer certains messages d’erreur « not mounted ».

-R, --recursive
    Démonter récursivement tous les répertoires indiqués. La récursion d’un répertoire s’arrêtera si une opération de démontage a échoué dans la chaîne quelle qu’en soit la raison. La relation entre les points de montage est déterminée par les entrées de /proc/self/mountinfo. Le système de fichiers doit être indiqué par un chemin de point de montage ; le démontage récursif par nom (ou UUID) de périphérique n’est pas pris en charge. Depuis la version 2.37, il démonte aussi tous les systèmes de fichiers « sur-montés » (beaucoup de systèmes de fichiers sur le même point de montages).

-r, --read-only
    Si le démontage échoue, essayer de remonter le système de fichiers en lecture seule.

-t, --types type...
    Indiquer que les actions devraient uniquement être entreprises sur les systèmes de fichiers du type indiqué. Plusieurs types peuvent être indiqués dans une liste, séparés par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer qu’aucune action ne doit être réalisée pour aucun des types indiqués. Remarquez que umount lit les informations sur les systèmes de fichiers montés à partir du noyau (/proc/mounts) et les noms de système de fichiers peuvent être différents de ceux utilisés dans /etc/fstab (par exemple, « nfs4 » vs. « nfs »).

-v, --verbose
    Mode détaillé.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version puis quitter.

DÉMONTAGES NON-SUPERUTILISATEURS

Normalement, seul le superutilisateur peut démonter des systèmes de fichiers. Cependant, quand fstab contient l’option user sur une ligne, n’importe qui peut démonter le système de fichiers correspondant. Pour plus de détails, consultez la page de manuel de mount(8).

Depuis sa version 2.34, la commande umount peut être aussi utilisée pour réaliser des opérations de démontage pour les systèmes de fichiers fuse si la table de montage du noyau contient des ID d’utilisateurs. Dans ce cas, l’option de fstab « user= mount » n’est pas nécessaire.

Depuis sa version 2.35, la commande umount ne se termine pas quand les permissions d’utilisateur sont inadaptées aux règles de sécurité internes de libmount. Elle abandonne les permissions Setuid et continue comme utilisateur normal non-superutilisateur. Cela peut être utilisé pour prendre en charge les utilisations où les permissions de superutilisateur ne sont pas nécessaires (par exemple, systèmes de fichiers fuse, espace de noms utilisateur, etc).

PÉRIPHÉRIQUE BOUCLE

La commande umount détachera automatiquement les périphériques boucle précédemment initialisés avec la commande mount(8), indépendamment de /etc/mtab.

Dans ce cas le périphérique est initialisé avec l’indicateur « autoclear » (consultez losetup(8) pour plus de détails), sinon il est nécessaire d’utiliser l’option --detach-loop ou d’appeler losetup -d device. La fonctionnalité autoclear est prise en charge depuis Linux 2.6.25.

AUXILIAIRES EXTERNES

La syntaxe des programmes externes de démontage est :

    umount.suffixe {répertoire|périphérique} [-flnrv] [-N espace_de_noms] [-t type.soustype]

où suffixe est le type de système de fichiers (ou la valeur d’un marqueur uhelper= ou helper= de mtab). L'option -t peut être utilisée pour les systèmes de fichiers qui ont une prise en charge des sous-types. Par exemple :

    umount.fuse -t fuse.sshfs

Un marqueur uhelper=quelque_chose (« unprivileged helper », auxiliaire ordinaire) peut apparaître dans le fichier /etc/mtab quand des utilisateurs ordinaires doivent pouvoir démonter un point de montage non défini dans /etc/fstab (par exemple pour un périphérique monté par udisks(1)).

Un marqueur helper=type dans le fichier mtab redirigera toutes les requêtes de démontage à l’auxiliaire /sbin/umount.type indépendamment de l'UID.

Remarquez que le fichier /etc/mtab est désormais obsolète et que les options helper= et d’autres options d’espace utilisateur de montage sont entretenues par libmount.

ENVIRONNEMENT

LIBMOUNT_FSTAB=chemin
    Remplacer l’emplacement par défaut du fichier fstab (ignoré pour suid).

LIBMOUNT_MTAB=chemin
    Remplacer l’emplacement par défaut du fichier mtab (ignoré pour suid).

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

FICHIERS

/etc/mtab
    Table des systèmes de fichiers montés (obsolète et généralement remplacé par un lien symbolique vers /proc/mounts).

/etc/fstab
    Table des systèmes de fichiers connus.

/proc/self/mountinfo
    Table des systèmes de fichiers montés générée par le noyau.

HISTORIQUE

Une commande umount est apparue dans la Version 6 du UNIX AT&T.

VOIR AUSSI

umount(2), losetup(8), mount_namespaces(7), mount(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande umount fait partie du paquet util-linux, qui peut être téléchargé de

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.